#ifndef ___UART_H
#define ___UART_H
//---------------------------Defines-------------------------
#define  TI_RI_MASK        0x3    //Transmit/Receive interrupt enable
#define  SP_MODE_0         0x8    //Mode0
#define  SP_MODE_1         0x9    //Mode1
#define  SP_MODE_2         0xA    //Mode2
#define  SP_MODE_3         0xB    //Mode3
//--------------------------Defines Baud_Rate----------------
#define dXTAL 20000000UL //   
#define BitRate 56000UL //  /
#define BAUD_LO_VAL ((unsigned char) (dXTAL/(BitRate*16)-1)) //  BaudRate   1
#define BAUD_HI_VAL  0x80 //Clock UART from External clock of XTAL1
//--------------------------Function Interfaces---------------------------
void USART0_Init(unsigned char spcon);
void USART1_Init(unsigned char spcon);
void IRQ_uart_rx_tx();

#endif /*___UART_H*/

